WB32F10x Standard Peripherals Firmware Library

Modules | Functions
IWDG
WB32F10x_StdPeriph_Driver

IWDG driver modules. More...

## Modules
| IWDG_Exported_Constants
| IWDG_Private_Defines
| IWDG_Private_Functions

## Functions
void | IWDG_WriteAccessCmd (uint16_t IWDG_WriteAccess)
| Enables or disables write access to IWDG_PR and IWDG_RLR registers. More...
void | IWDG_SetPrescaler (uint8_t IWDG_Prescaler)
| Sets IWDG Prescaler value. More...
void | IWDG_SetReload (uint16_t Reload)
| Sets IWDG Reload value. More...
void | IWDG_ReloadCounter (void)
| Reloads IWDG counter with value defined in the reload register (write access to IWDG_PR and IWDG_RLR registers disabled). More...
void | IWDG_Enable (void)
| Enables IWDG (write access to IWDG_PR and IWDG_RLR registers disabled). More...
FlagStatus | IWDG_GetFlagStatus (uint16_t IWDG_FLAG)
| Checks whether the specified IWDG flag is set or not. More...

## Detailed Description

IWDG driver modules.

## Function Documentation

## ◆ IWDG_Enable()

void IWDG_Enable | ( | void |  | ) |

Enables IWDG (write access to IWDG_PR and IWDG_RLR registers disabled).

Parameters

  None |

Return values

  None |

## ◆ IWDG_GetFlagStatus()

FlagStatus IWDG_GetFlagStatus | ( | uint16_t | IWDG_FLAG | ) |

Checks whether the specified IWDG flag is set or not.

Parameters

  IWDG_FLAG | specifies the flag to check. This parameter can be one of the following values: IWDG_FLAG_PVU: Prescaler Value Update on going IWDG_FLAG_RVU: Reload Value Update on going

Return values

  The | new state of IWDG_FLAG (SET or RESET).

## ◆ IWDG_ReloadCounter()

void IWDG_ReloadCounter | ( | void |  | ) |

Reloads IWDG counter with value defined in the reload register (write access to IWDG_PR and IWDG_RLR registers disabled).

Parameters

  None |

Return values

  None |

## ◆ IWDG_SetPrescaler()

void IWDG_SetPrescaler | ( | uint8_t | IWDG_Prescaler | ) |

Sets IWDG Prescaler value.

Parameters

  IWDG_Prescaler | specifies the IWDG Prescaler value. This parameter can be one of the following values: IWDG_Prescaler_4: IWDG prescaler set to 4 IWDG_Prescaler_8: IWDG prescaler set to 8 IWDG_Prescaler_16: IWDG prescaler set to 16 IWDG_Prescaler_32: IWDG prescaler set to 32 IWDG_Prescaler_64: IWDG prescaler set to 64 IWDG_Prescaler_128: IWDG prescaler set to 128 IWDG_Prescaler_256: IWDG prescaler set to 256

Return values

  None |

## ◆ IWDG_SetReload()

void IWDG_SetReload | ( | uint16_t | Reload | ) |

Sets IWDG Reload value.

Parameters

  Reload | specifies the IWDG Reload value. This parameter must be a number between 0 and 0x0FFF.

Return values

  None |

## ◆ IWDG_WriteAccessCmd()

void IWDG_WriteAccessCmd | ( | uint16_t | IWDG_WriteAccess | ) |

Enables or disables write access to IWDG_PR and IWDG_RLR registers.

Parameters

  IWDG_WriteAccess | new state of write access to IWDG_PR and IWDG_RLR registers. This parameter can be one of the following values: IWDG_WriteAccess_Enable: Enable write access to IWDG_PR and IWDG_RLR registers IWDG_WriteAccess_Disable: Disable write access to IWDG_PR and IWDG_RLR registers

Return values

  None |